Agora Java API Reference for Android

Public Member Functions | List of all members
io.agora.rtm.GetOnlineUsersOptions Class Reference

## Public Member Functions
| GetOnlineUsersOptions ()
| GetOnlineUsersOptions (boolean includeUserId, boolean includeState)
| GetOnlineUsersOptions (boolean includeUserId, boolean includeState, String page)
void | setIncludeUserId (boolean includeUserId)
void | setIncludeState (boolean includeState)
void | setPage (String page)
boolean | getIncludeUserId ()
boolean | getIncludeState ()
String | getPage ()
String | toString ()

## Detailed Description

This class represents options for retrieving online users. It provides the ability to specify whether to include the user ID, user state, and pagination data when retrieving online users.

## Constructor & Destructor Documentation

## ◆ GetOnlineUsersOptions() [1/3]

io.agora.rtm.GetOnlineUsersOptions.GetOnlineUsersOptions | ( |  | ) |

Constructs an

GetOnlineUsersOptions

object with default parameters.

## ◆ GetOnlineUsersOptions() [2/3]

io.agora.rtm.GetOnlineUsersOptions.GetOnlineUsersOptions | ( | boolean | includeUserId,
|  | boolean | includeState
| ) |  |

Constructs an

GetOnlineUsersOptions

object with the specified options(whether include user id and state)

Parameters

  includeUserId | Whether to display user id in query result
  includeState | Whether to display user state in query result

## ◆ GetOnlineUsersOptions() [3/3]

io.agora.rtm.GetOnlineUsersOptions.GetOnlineUsersOptions | ( | boolean | includeUserId,
|  | boolean | includeState,
|  | String | page
| ) |  |

Constructs a new instance of

GetOnlineUsersOptions

with the specified options.

Parameters

  includeUserId | specifies whether to include the user ID in the query result.
  includeState | specifies whether to include the user state in the query result.
  page | the string of page for pagination

io.agora.rtm.GetOnlineUsersOptions.GetOnlineUsersOptions
GetOnlineUsersOptions()
Definition: GetOnlineUsersOptions.java:29